"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getZI = getZI;
exports.initialiseZeoCollect = initialiseZeoCollect;
exports.listenToAskForConsent = listenToAskForConsent;
exports.pauseCollection = pauseCollection;
exports.resetZI = resetZI;
exports.resumeCollection = resumeCollection;
exports.setATTStatusAndAdvertisingId = setATTStatusAndAdvertisingId;
exports.setAdvertisingIdByATTStatus = setAdvertisingIdByATTStatus;
exports.setAndroidAdID = setAndroidAdID;
exports.setConsent = setConsent;
exports.setEventNameProperties = setEventNameProperties;
exports.setEventProperties = setEventProperties;
exports.setInstantEventNameProperties = setInstantEventNameProperties;
exports.setInstantEventProperties = setInstantEventProperties;
exports.setPageProperties = setPageProperties;
exports.setUserIdentities = setUserIdentities;
exports.setUserProperties = setUserProperties;
exports.setZI = setZI;
exports.unsetUserIdentities = unsetUserIdentities;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'zeo-collect' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ZeoCollect = _reactNative.NativeModules.ZeoCollect ? _reactNative.NativeModules.ZeoCollect : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function setEventNameProperties(eventName) {
  ZeoCollect.setEventNameProperties(eventName);
}
function setEventProperties(eventName, eventProp) {
  ZeoCollect.setEventProperties(eventName, eventProp);
}
function setInstantEventNameProperties(eventName) {
  ZeoCollect.setInstantEventNameProperties(eventName);
}
function setInstantEventProperties(eventName, eventProp) {
  ZeoCollect.setInstantEventProperties(eventName, eventProp);
}
function setUserIdentities(userProp) {
  ZeoCollect.setUserIdentities(userProp);
}
function setUserProperties(userProp) {
  ZeoCollect.setUserProperties(userProp);
}
function setPageProperties(userProp) {
  ZeoCollect.setPageProperties(userProp);
}
function unsetUserIdentities() {
  ZeoCollect.unsetUserIdentities();
}
function pauseCollection() {
  ZeoCollect.pauseCollection();
}
function resumeCollection() {
  ZeoCollect.resumeCollection();
}
function setConsent(consent) {
  ZeoCollect.setConsent(consent);
}
function listenToAskForConsent(cb) {
  ZeoCollect.listenToAskForConsent(cb);
}
function getZI(cb) {
  ZeoCollect.getZI(cb);
}
function resetZI() {
  ZeoCollect.resetZI();
}
function setZI(zi) {
  ZeoCollect.setZI(zi);
}
function setATTStatusAndAdvertisingId(status, advertisingId) {
  ZeoCollect.setATTStatusAndAdvertisingId(status, advertisingId);
}
function setAdvertisingIdByATTStatus(status) {
  ZeoCollect.setAdvertisingIdByATTStatus(status);
}
function setAndroidAdID(adID) {
  ZeoCollect.setAndroidAdID(adID);
}
function initialiseZeoCollect(options) {
  ZeoCollect.initalizeBySettingOptions(options);
}
//# sourceMappingURL=index.js.map